"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parser_babel_1 = __importDefault(require("prettier/parser-babel"));
const function_calls_1 = __importDefault(require("../node-formatters/function-calls"));
const function_templates_1 = __importDefault(require("../node-formatters/function-templates"));
const jsx_attributes_1 = __importDefault(require("../node-formatters/jsx-attributes"));
const loop_nodes_1 = __importDefault(require("../utils/loop-nodes"));
exports.default = (cscl) => (Object.assign(Object.assign({}, parser_babel_1.default.parsers.babel), { parse(text, parsers, options) {
        const ast = parser_babel_1.default.parsers.babel.parse(text, parsers, options);
        const attributeNames = options.sortClassNamesClassAttributes.split(',');
        const functionNames = options.sortClassNamesSortFunctions.split(',');
        const result = loop_nodes_1.default(ast, node => {
            jsx_attributes_1.default(cscl(options), node, attributeNames);
            function_calls_1.default(cscl(options), node, functionNames);
            function_templates_1.default(cscl(options), node, functionNames);
            return node;
        });
        return result;
    } }));
