"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const babel_1 = __importDefault(require("./babel"));
const css_1 = __importDefault(require("./css"));
const html_1 = __importDefault(require("./html"));
const typescript_1 = __importDefault(require("./typescript"));
exports.default = (cscl) => ({
    html: html_1.default(cscl),
    css: css_1.default(cscl),
    babel: babel_1.default(cscl),
    typescript: typescript_1.default(cscl),
});
